<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('kelahiran', function (Blueprint $table) {
            
            $table->foreignId('penduduk_id')
                  ->nullable() // Bisa null jika penduduk belum dibuat atau saat input awal
                  ->constrained('penduduk') // Menghubungkan ke tabel 'penduduk'
                  ->onDelete('set null') // Jika penduduk dihapus, set penduduk_id di kelahiran menjadi null
                  ->after('kartu_keluarga_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('kelahiran', function (Blueprint $table) {
            //
        });
    }
};
